Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 4573 - RH5.2 ncurses based binaries core dump on RH6.0
Summary: RH5.2 ncurses based binaries core dump on RH6.0
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: ncurses
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Preston Brown
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-08-17 15:06 UTC by richard
Modified: 2008-05-01 15:37 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-05 20:12:21 UTC


Attachments (Terms of Use)

Description richard 1999-08-17 15:06:52 UTC
I have a RH5.2 system with ncurses-4.2 and a RH6.0 system
with ncurses-4.2.  If I compile the following on RH5.2 and
then try and run it on RH6.0 it coredumps.

--------------------------------------
#include <curses.h>

int
main (int argc, char **argv)
{
  int c;

  initscr(); cbreak(); noecho();

  nonl();
  intrflush(stdscr, FALSE);
  keypad(stdscr, TRUE);

  c = mvinch(1,1);

  endwin();

  return c;
}
--------------------------------------

richard@sleepie.demon.co.uk

Comment 1 Preston Brown 1999-08-29 14:54:59 UTC
Cristian, is this expected behavior?

Comment 2 Kriang Lerdsuwanakij 2000-01-29 09:29:59 UTC
I tracked down this problem recently.  The ncurses-4.2 that came with RH5.2
defined bool as 'char' while RH6.0 and 6.1 ncurses-4.2 defined it as 'int'.
So the incompatibility indeed exists.


Note You need to log in before you can comment on or make changes to this bug.